#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

UINT WINAPI
GetDriveType(LPCWSTR lpRootPathName)
{
	char	*path;
	int t;

	if(win_useunicode)
		return GetDriveTypeW(lpRootPathName);
	path = win_wstr2utf(lpRootPathName);
	t = GetDriveTypeA(path);
	win_free(path);
	return t;
}

